Package org.eclipse.equinox.p2.operations

# Class Update

java.lang.Object
org.eclipse.equinox.p2.operations.Update

public class Update extends Object
A simple data structure describing a possible update.

Since:
  2.0
Restriction:
  This class is not intended to be subclassed by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`IInstallableUnit`
`replacement`
`IInstallableUnit`
`toUpdate`

## Constructor Summary

Constructors
Constructor
Description
`Update(IInstallableUnit toUpdate, IInstallableUnit replacement)`
Creates a new update description.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### toUpdate

public IInstallableUnit toUpdate

### replacement

public IInstallableUnit replacement

## Constructor Details

### Update

public Update(IInstallableUnit toUpdate, IInstallableUnit replacement)
Creates a new update description.

Parameters:
  `toUpdate` - The installable unit to update
  `replacement` - The replacement installable unit

## Method Details

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`